// 4.17.0 0x008d864f
// Generated by imageconverter. Please, do not edit!

#include <BitmapDatabase.hpp>
#include <touchgfx/Bitmap.hpp>

extern const unsigned char image_fondo_para_word_azul_1[]; // BITMAP_FONDO_PARA_WORD_AZUL_1_ID = 0, Size: 410x530 pixels
extern const unsigned char image_off[]; // BITMAP_OFF_ID = 1, Size: 49x50 pixels
extern const unsigned char image_on[]; // BITMAP_ON_ID = 2, Size: 50x51 pixels

const touchgfx::Bitmap::BitmapData bitmap_database[] = {
    { image_fondo_para_word_azul_1, 0, 410, 530, 0, 0, 410, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 530, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 },
    { image_off, 0, 49, 50, 0, 0, 49, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 50, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 },
    { image_on, 0, 50, 51, 0, 0, 50, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 51, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 }
};

namespace BitmapDatabase
{
const touchgfx::Bitmap::BitmapData* getInstance()
{
    return bitmap_database;
}

uint16_t getInstanceSize()
{
    return (uint16_t)(sizeof(bitmap_database) / sizeof(touchgfx::Bitmap::BitmapData));
}
} // namespace BitmapDatabase
